/*
* Copyright (c) 2007-2017 TeamSpeak Systems
*/
#pragma once

#include <stdbool.h>

#include <teamspeak/public_definitions.h>

#define UNUSED(x) (void)(x)

#define CHECK_ERROR_FATAL(x) check_error_ok(x, __FILE__ ,__LINE__, true)
#define CHECK_ERROR(x) check_error_ok(x, __FILE__ ,__LINE__, false)

bool check_error_ok(unsigned int error, const char *file, unsigned int line, bool do_exit);

/*A function so suspend the current thread for a specified amount of milliseconds*/
void sleep_ms(int milliseconds);

/*Return program path ending in path separator, or an empty string if there is
none*/
char* program_path(const char* program_invocation);

void create_circle_lookup_table(unsigned int radius);

void get_random_position_on_circle(TS3_VECTOR* ts_vector);
int get_lookup_table_entry_count();
void get_position_on_circle_entry(TS3_VECTOR* ts_vector, int lookup_entry);